;;======================================================================
;; Copyright 2019, Matthew Welland.
;; 
;; This file is part of Megatest.
;; 
;;     Megatest is free software: you can redistribute it and/or modify
;;     it under the terms of the GNU General Public License as published by
;;     the Free Software Foundation, either version 3 of the License, or
;;     (at your option) any later version.
;; 
;;     Megatest is distributed in the hope that it will be useful,
;;     but WITHOUT ANY WARRANTY; without even the implied warranty of
;;     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;     GNU General Public License for more details.
;; 
;;     You should have received a copy of the GNU General Public License
;;     along with Megatest.  If not, see <http://www.gnu.org/licenses/>.

;;======================================================================

(declare (unit mtmod))
(declare (uses mtconfigf))
(declare (uses commonmod))
(declare (uses rmtmod))
(declare (uses testsmod))
(declare (uses tasksmod))
(declare (uses mtargs))
(declare (uses dbmod))
(declare (uses pgdbmod))
(declare (uses servermod))
(declare (uses launchmod))
(declare (uses subrunmod))
(declare (uses stml2))

(module mtmod
	*
	
(import scheme chicken data-structures extras posix ports files)

(import (prefix mtconfigf configf:)
	(prefix sqlite3 sqlite3:)
	srfi-69 regex srfi-18 srfi-13 srfi-1
	call-with-environment-variables z3 (prefix base64 base64:)
	typed-records
	csv
	commonmod
	rmtmod
	testsmod
	tasksmod
	dbmod
	pgdbmod
	servermod
	subrunmod
	stml2
	directory-utils
	(prefix mtargs args:))

(include "run_records.scm")
(include "db_records.scm")
(include "test_records.scm")


)
	
